2 Replies Latest reply on May 12, 2011 3:18 PM by Manuel Jordan

    problem installing JBoss Tools 3.2 (Hibernate Tools)

    Manuel Jordan Newbie

      Dear Members

       

      I just downloaded

       

      jbosstools-3.2.0.GA.aggregate-Update-2011-02-16_18-30-44-H329.zip

      and

      jbosstools-3.2.0.GA.component--hibernatetools-Update-2011-02-16_18-30-44-H329.zip

       

      I downloaded eclipse-jee-helios-SR2-win32.zip (3.6.2) too, and just unpacked

       

      I am trying to install

      jbosstools-3.2.0.GA.component--hibernatetools-Update-2011-02-16_18-30-44-H329.zip

      to

      eclipse-jee-helios-SR2-win32.zip (3.6.2)

       

      BTW The download section for jbosstools, here

      do mention about only support for Eclipse 3.6.1 (1, not 2) but In twitter,

      I had a reply from the same jbosstools account about it is possible or has support for (3.6.2)

       

      OK I did the follow

       

      I did reference to my jbosstools-3.2.0.GA.component--hibernatetools-Update-2011-02-16_18-30-44-H329.zip file

      See image 01.png

      01.png

       

      I select the Hibernate Tools ckeckbox and leave checked the option contact all ..... too and then I do click in next

      See image 02.png

       

      02.png

       

      Then I receive this error

       

       

      Cannot complete the install because one or more required items could not be found.
        Software being installed: Hibernate Tools 3.4.0.v20110215-1252-H31-GA (org.hibernate.eclipse.feature.feature.group 3.4.0.v20110215-1252-H31-GA)
        Missing requirement: Hibernate 3.0 XML UI 3.4.0.v20110215-1252-H31-GA (org.jboss.tools.hibernate.xml.ui 3.4.0.v20110215-1252-H31-GA) requires 'bundle org.jboss.tools.common.model 0.0.0' but it could not be found
        Cannot satisfy dependency:
          From: Hibernate Tools 3.4.0.v20110215-1252-H31-GA (org.hibernate.eclipse.feature.feature.group 3.4.0.v20110215-1252-H31-GA)
          To: org.jboss.tools.hibernate.xml.ui [3.4.0.v20110215-1252-H31-GA]
      
      

       

      If I back and unckeck the option contact all ..... now and then I do click in next

      See image 03.png

       

      03.png

      Then I receive this error (is not exactly the same)

       

       

      Cannot complete the install because one or more required items could not be found.
        Software being installed: Hibernate Tools 3.4.0.v20110215-1252-H31-GA (org.hibernate.eclipse.feature.feature.group 3.4.0.v20110215-1252-H31-GA)
        Missing requirement: Hibernate 3.0 XML 3.4.0.v20110215-1252-H31-GA (org.jboss.tools.hibernate.xml 3.4.0.v20110215-1252-H31-GA) requires 'bundle org.jboss.tools.common 0.0.0' but it could not be found
        Cannot satisfy dependency:
          From: Hibernate Tools 3.4.0.v20110215-1252-H31-GA (org.hibernate.eclipse.feature.feature.group 3.4.0.v20110215-1252-H31-GA)
          To: org.jboss.tools.hibernate.xml [3.4.0.v20110215-1252-H31-GA]   
      
      

       

       

      Something is missing?

       

      or is mandatory use the complete package?

      jbosstools-3.2.0.GA.aggregate-Update-2011-02-16_18-30-44-H329.zip

       

       

      I only want to work with Hibernate tools

      jbosstools-3.2.0.GA.component--hibernatetools-Update-2011-02-16_18-30-44-H329.zip

       

      Thanks in advanced!